#ifndef OPENFILE_H
#define OPENFILE_H

#include <QPushButton>
#include <QString>

class OpenFile: public QPushButton
{
Q_OBJECT

public:
    OpenFile(QWidget* parent = 0);

protected:
        // reimplemetace zavedené metody pro událost kliku
        virtual void mousePressEvent(QMouseEvent*);

signals:
        void file_selected(QString path);

};

#endif // OPENFILE_H
